{{ define "main" }}
<main>
    <h1 class="welcomeText">{{ .Site.Params.welcomeText }}</h1>

    {{ if .Site.Params.searchEngines }}
        {{ range .Site.Params.searchEngines }}
            {{ if .activated }}
                <form id="search-form-{{ .name }}" class="mb-3" action="{{ .url }}" method="get">
                    <input id="search-bar-{{ .name }}" class="form-control col-xs-2" type="text" autofocus type="text" placeholder="Search {{ .name }}" name="{{ cond (isset . "searchkey") .searchkey "q" }}" alt="Search {{ .name }}" onkeydown="if(event.keyCode === 13) { this.form.submit(); return false; }">
                </form>
            {{ end }}
        {{ end }}
    {{ end }}

    <div class="homepage-content">
      {{.Content}}
    </div>
    <div>
      {{ range first 10 .Site.RegularPages }}
          {{ .Render "summary"}}
      {{ end }}
    </div>
  </main>
{{ end }}